Unofficial mirror of the Archivists' Toolkit codebase
Java
Pull request Compare This branch is 18 commits ahead of leemandell:master.
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
conf
installMaker
lib
reports
src
LICENSE
README.md

README.md

Archivists' Toolkit

http://archiviststoolkit.org/

License

The Archivists’ Toolkit application is available as open source, free software under the Educational Community License, v. 1.0. Read the license under which the AT is distributed before contributing code or distributing derivations of the code.

Development and contributing code

Read the guidelines if you are considering contributing code to the AT.

Consider developing a plugin before you decide to contribute or modify the core code.

For additional information, see the following links

Compiling Archivists' Toolkit 2.0 From Source Code

This assumes you already have basic knowledge of how to compile and run Java programs using your IDE of choice. The current source needs to be compiled with JDK 1.5, or the latest JDK 1.6. Also you need to first install the ArchivistsToolkit program, since the source needs to be unpacked in the folder where it was installed. All compile time dependencies are found in the "lib" folder. See below for more details.

  1. Download the latest source code
  2. Import the source code into your IDE.
  3. In your IDE, place all the *.jar files, except "ArchivistsToolkit.jar", found in the "lib" folder in the Classpath.
  4. You should now be able to compile and run the AT from source code.

If you intend to modify user interface code, then you will need to use JFormdesigner to open the *.jfd files. Consult the JFormdesigner documentation on how to install and use it.